import femmt
from femmt import MagneticComponent
import numpy as np
import itertools
from matplotlib import pyplot as plt

file = open("C:/Users/Aniket/sciebo/Exchange_FEMMT/05_Materials/data/materials/N95/N95/100C/b.txt", 'r')
b = [float(line.strip('\n')) for line in file.readlines()]
print(b)
b_new = [element - b[0] for element in b]
print(b_new)

file = open("C:/Users/Aniket/sciebo/Exchange_FEMMT/05_Materials/data/materials/N95/N95/100C/h.txt", 'r')
h = [float(line.strip('\n')) for line in file.readlines()]
h_new = [element - h[0] for element in h]
print(h)
print(h_new)

N95_h = [0.000000000000000000e+00, 2.000000000000000000e+00, 4.000000000000000000e+00, 6.000000000000000000e+00,
         8.000000000000000000e+00, 9.000000000000000000e+00, 1.000000000000000000e+01, 1.200000000000000000e+01,
         1.300000000000000000e+01, 1.400000000000000000e+01, 1.600000000000000000e+01, 1.700000000000000000e+01,
         1.800000000000000000e+01, 2.200000000000000000e+01, 2.400000000000000000e+01, 2.500000000000000000e+01,
         2.700000000000000000e+01, 2.900000000000000000e+01, 3.100000000000000000e+01, 3.300000000000000000e+01,
         3.600000000000000000e+01, 3.900000000000000000e+01, 4.200000000000000000e+01, 4.500000000000000000e+01,
         4.900000000000000000e+01, 5.400000000000000000e+01, 6.700000000000000000e+01, 7.600000000000000000e+01,
         8.800000000000000000e+01, 1.030000000000000000e+02, 1.240000000000000000e+02, 1.530000000000000000e+02,
         1.920000000000000000e+02, 2.440000000000000000e+02, 3.100000000000000000e+02, 3.870000000000000000e+02,
         4.730000000000000000e+02, 5.610000000000000000e+02, 6.490000000000000000e+02, 8.150000000000000000e+02,
         8.900000000000000000e+02, 9.570000000000000000e+02, 1.017000000000000000e+03]

N95_b = [0.000000000000000000e+00, 1.530000000000000110e-02, 3.059999999999999873e-02, 4.589999999999999636e-02,
         6.119999999999999746e-02, 7.649999999999999856e-02, 9.281999999999999973e-02, 1.081199999999999939e-01,
         1.234200000000000158e-01, 1.387199999999999822e-01, 1.540199999999999902e-01, 1.703399999999999914e-01,
         1.856399999999999995e-01, 2.162399999999999878e-01, 2.315399999999999958e-01, 2.468400000000000039e-01,
         2.621399999999999841e-01, 2.774399999999999644e-01, 2.927400000000000002e-01, 3.070200000000000151e-01,
         3.223199999999999954e-01, 3.365999999999999548e-01, 3.508799999999999697e-01, 3.651599999999999846e-01,
         3.794399999999999995e-01, 3.937200000000000144e-01, 4.202400000000000024e-01, 4.334999999999999964e-01,
         4.457400000000000251e-01, 4.579799999999999982e-01, 4.691999999999999504e-01, 4.793999999999999928e-01,
         4.875599999999999934e-01, 4.957199999999999940e-01, 5.008200000000000429e-01, 5.049000000000000155e-01,
         5.079599999999999671e-01, 5.100000000000000089e-01, 5.110200000000000298e-01, 5.130599999999999605e-01,
         5.138759999999999994e-01, 5.144879999999999454e-01, 5.147940000000000849e-01]

# print(N95_h, N95_b)
mu0 = 4 * np.pi * 10 ** (-7)

mur = np.array(b) / np.array(h) / mu0
plt.plot(b, mur)

# plt.plot(N95_h, N95_b)
# plt.plot(h, b)
# plt.plot(h_new, b_new)
plt.ylabel("b in T")
plt.xlabel("h in A/m")
plt.show()
